1 # -*- buffer-read-only: t -*- vi: set ro:
2 # DO NOT EDIT! GENERATED AUTOMATICALLY!
3 # Makefile for PO directory in any package using GNU gettext.
4 # Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
6 # This file can be copied and used freely without restrictions. It can
7 # be used in projects which are not available under the GNU General Public
8 # License but which still want to provide support for the GNU gettext
10 # Please note that the actual code of GNU gettext is covered by the GNU
11 # General Public License and is *not* in the public domain.
13 # Origin: gettext-0.16
17 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
23 top_srcdir = @top_srcdir@
27 exec_prefix = @exec_prefix@
28 datarootdir = @datarootdir@
30 localedir = @localedir@
31 gettextsrcdir = $(datadir)/gettext/po
34 INSTALL_DATA = @INSTALL_DATA@
37 # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
38 # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
39 # @install_sh@ does not start with $(SHELL), so we add it.
40 # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
41 # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
42 # versions, $(mkinstalldirs) and $(install_sh) are unused.
43 mkinstalldirs = $(SHELL) @install_sh@ -d
44 install_sh = $(SHELL) @install_sh@
49 GMSGFMT_no = @GMSGFMT@
50 GMSGFMT_yes = @GMSGFMT_015@
51 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
54 MSGFMT_yes = @MSGFMT_015@
55 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
56 XGETTEXT_ = @XGETTEXT@
57 XGETTEXT_no = @XGETTEXT@
58 XGETTEXT_yes = @XGETTEXT_015@
59 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
61 MSGMERGE_UPDATE = @MSGMERGE@ --update
68 UPDATEPOFILES = @UPDATEPOFILES@
69 DUMMYPOFILES = @DUMMYPOFILES@
70 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
71 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
72 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
73 $(POFILES) $(GMOFILES) \
74 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
80 # Makevars gets inserted here. (Don't remove this line!)
83 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
86 @echo "$(MSGFMT) -c -o $@ $<"; \
87 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
90 @lang=`echo $* | sed -e 's,.*/,,'`; \
91 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
92 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
93 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
96 sed -e '/^#/d' $< > t-$@
105 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
106 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
107 # we don't want to bother translators with empty POT files). We assume that
108 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
109 # In this case, stamp-po is a nop (i.e. a phony target).
111 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
112 # been loosely updated. Its purpose is that when a developer or translator
113 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
114 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
115 # invocations of "make" will do nothing. This timestamp would not be necessary
116 # if updating the $(CATALOGS) would always touch them; however, the rule for
117 # $(POFILES) has been designed to not touch files that don't need to be
119 stamp-po: $(srcdir)/$(DOMAIN).pot
120 test ! -f $(srcdir)/$(DOMAIN).pot || \
121 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
122 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
123 echo "touch stamp-po" && \
124 echo timestamp > stamp-poT && \
125 mv stamp-poT stamp-po; \
128 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
129 # otherwise packages like GCC can not be built if only parts of the source
130 # have been downloaded.
132 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
133 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
134 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
135 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
136 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
138 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
140 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
141 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
142 --files-from=$(srcdir)/POTFILES.in \
143 --copyright-holder='$(COPYRIGHT_HOLDER)' \
144 --msgid-bugs-address="$$msgid_bugs_address"
145 test ! -f $(DOMAIN).po || { \
146 if test -f $(srcdir)/$(DOMAIN).pot; then \
147 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
148 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
149 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
150 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
152 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
153 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
156 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
160 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
161 # every "make" invocation, only create it when it is missing.
162 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
163 $(srcdir)/$(DOMAIN).pot:
164 $(MAKE) $(DOMAIN).pot-update
166 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
167 # Note that a PO file is not touched if it doesn't need to be changed.
168 $(POFILES): $(srcdir)/$(DOMAIN).pot
169 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
170 if test -f "$(srcdir)/$${lang}.po"; then \
171 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
172 echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
173 cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
175 $(MAKE) $${lang}.po-create; \
179 install: install-exec install-data
181 install-data: install-data-@USE_NLS@
182 if test "$(PACKAGE)" = "gettext-tools"; then \
183 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
184 for file in $(DISTFILES.common) Makevars.template; do \
185 $(INSTALL_DATA) $(srcdir)/$$file \
186 $(DESTDIR)$(gettextsrcdir)/$$file; \
188 for file in Makevars; do \
189 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
195 install-data-yes: all
196 $(mkdir_p) $(DESTDIR)$(datadir)
197 @catalogs='$(CATALOGS)'; \
198 for cat in $$catalogs; do \
199 cat=`basename $$cat`; \
200 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
201 dir=$(localedir)/$$lang/LC_MESSAGES; \
202 $(mkdir_p) $(DESTDIR)$$dir; \
203 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
204 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
205 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
206 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
207 if test -n "$$lc"; then \
208 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
209 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
210 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
211 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
212 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
214 if test -f $$file; then \
215 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
218 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
220 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
223 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
224 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
227 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
228 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
229 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
230 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
231 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
236 install-strip: install
238 installdirs: installdirs-exec installdirs-data
240 installdirs-data: installdirs-data-@USE_NLS@
241 if test "$(PACKAGE)" = "gettext-tools"; then \
242 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
247 installdirs-data-yes:
248 $(mkdir_p) $(DESTDIR)$(datadir)
249 @catalogs='$(CATALOGS)'; \
250 for cat in $$catalogs; do \
251 cat=`basename $$cat`; \
252 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
253 dir=$(localedir)/$$lang/LC_MESSAGES; \
254 $(mkdir_p) $(DESTDIR)$$dir; \
255 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
256 if test -n "$$lc"; then \
257 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
258 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
259 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
260 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
261 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
263 if test -f $$file; then \
264 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
267 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
269 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
272 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
273 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
280 # Define this as empty until I found a useful application.
283 uninstall: uninstall-exec uninstall-data
285 uninstall-data: uninstall-data-@USE_NLS@
286 if test "$(PACKAGE)" = "gettext-tools"; then \
287 for file in $(DISTFILES.common) Makevars.template; do \
288 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
295 catalogs='$(CATALOGS)'; \
296 for cat in $$catalogs; do \
297 cat=`basename $$cat`; \
298 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
299 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
300 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
306 info dvi ps pdf html tags TAGS ctags CTAGS ID:
309 rm -f remove-potcdate.sed
311 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
317 rm -f Makefile Makefile.in POTFILES *.mo
319 maintainer-clean: distclean
320 @echo "This command is intended for maintainers to use;"
321 @echo "it deletes files that may require special tools to rebuild."
322 rm -f stamp-po $(GMOFILES)
324 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
328 # This is a separate target because 'update-po' must be executed before.
329 dist2: stamp-po $(DISTFILES)
330 dists="$(DISTFILES)"; \
331 if test "$(PACKAGE)" = "gettext-tools"; then \
332 dists="$$dists Makevars.template"; \
334 if test -f $(srcdir)/$(DOMAIN).pot; then \
335 dists="$$dists $(DOMAIN).pot stamp-po"; \
337 if test -f $(srcdir)/ChangeLog; then \
338 dists="$$dists ChangeLog"; \
340 for i in 0 1 2 3 4 5 6 7 8 9; do \
341 if test -f $(srcdir)/ChangeLog.$$i; then \
342 dists="$$dists ChangeLog.$$i"; \
345 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
346 for file in $$dists; do \
347 if test -f $$file; then \
348 cp -p $$file $(distdir) || exit 1; \
350 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
355 $(MAKE) $(DOMAIN).pot-update
356 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
359 # General rule for creating PO files.
362 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
363 echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
366 # General rule for updating PO files.
369 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
370 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
373 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
374 echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
376 if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
377 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
378 rm -f $$tmpdir/$$lang.new.po; \
380 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
383 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
388 echo "msgmerge for $$lang.po failed!" 1>&2; \
389 rm -f $$tmpdir/$$lang.new.po; \
394 update-gmo: Makefile $(GMOFILES)
397 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
399 && $(SHELL) ./config.status $(subdir)/$@.in po-directories
403 # Tell versions [3.59,3.63) of GNU make not to export all variables.
404 # Otherwise a system limit (for SysV at least) may be exceeded.